<template>
  <div class="box">
    <!-- <input  type="file" name="file" id="getF" @change="clickF()"></input> -->
    <input
      :accept="'.shp, .shx, .dbf, .prj'"
      style="display: none"
      type="file"
      name="file"
      id="getF"
      multiple="multiple"
      @change="setQueryFile()"
    />

    <ul>
      <li
        style="margin-left: 20px"
        @click="changeIquery(item)"
        v-for="item in itemsOne"
      >
        <div class="divli">
          <div :class="item.class" class="backimge5"></div>
        </div>
        <div class="div_li">{{ $t(item.name) }}</div>
      </li>
    </ul>
  </div>
</template>

<script>
import $ from 'jquery';
export default {
  data() {
    return {
      itemsOne: [
        {
          id: '1',
          name: 'synthesis.somequery',
          class: 'e1',
        },
        {
          id: '2',
          name: 'synthesis.linequery',
          class: 'e2',
        },
        {
          id: '3',
          name: 'synthesis.rectangularquery',
          class: 'e3',
        },
        {
          id: '4',
          name: 'synthesis.gardenquery',
          class: 'e4',
        },
        {
          id: '5',
          name: 'synthesis.polygonquery',
          class: 'e5',
        },
        {
          id: '6',
          name: 'synthesis.attributequery',
          class: 'e6',
        },
        {
          id: '7',
          name: 'synthesis.rangequery',
          class: 'e7',
        },
      ],
      rel_name: null,
    };
  },
  methods: {
    changeIquery(res) {
      if (res.id == '7') {
        this.getQueryFile();
      } else {
        var val = {
          name: 'Query',
          id: res.id,
        };
        this.$bus.$emit('mapChangeBox', val);
      }
    },
    getQueryFile() {
      $('#getF').click();
    },
    setQueryFile() {
      var val = document.getElementById('getF').files;
      if (!val || !val.length) return;
      console.log(val);
    },
  },
};
</script>

<style>
.box {
  width: 100%;
  height: 100%;
  position: relative;
}
.box li {
  list-style: none;
  float: left;
  height: 60px;
  text-align: center;
  margin: 2px;
  position: relative;
  cursor: pointer;
  margin-top: 5px;
}
.box ul {
  margin: 0px;
}
.e1 {
  background: url('../../assets/img/synthesis/椭圆 2 副本 拷贝 3.png') no-repeat
    center;
}
.e2 {
  background: url('../../assets/img/synthesis/椭圆 3 拷贝 9.png') no-repeat
    center;
}
.e3 {
  background: url('../../assets/img/synthesis/图层 36.png') no-repeat center;
}
.e4 {
  background: url('../../assets/img/synthesis/椭圆 3 拷贝 10.png') no-repeat
    center;
}
.e5 {
  background: url('../../assets/img/synthesis/圆角矩形 12 拷贝 8.png') no-repeat
    center;
}
.e6 {
  background: url('../../assets/img/synthesis/图层 23.png') no-repeat center;
}
.e7 {
  background: url('../../assets/img/synthesis/图层 24.png') no-repeat center;
}
.backimge5 {
  width: 30px;
  height: 30px;
  margin-left: 25px;
  position: absolute;
  background-size: 100% 100%;
  margin: 0% 30%;
}
.divli {
  width: 100%;
  height: 50%;
  position: relative;
}
</style>
